from HTMLParser import HTMLParser

class TitleHTMLParser(HTMLParser):
    """
    Simple class for pulling the Title from an HTML page
    """

    def __init__(self):
        HTMLParser.__init__(self)
        self.inTitle = 0
        self.title = ''
        
    def handle_starttag(self, tag, attrs):
        if tag == 'title':
            self.inTitle = 1

    def handle_endtag(self, tag):
        if tag == 'title':
            self.inTitle = 0

    def handle_data(self, data):
        if self.inTitle:
            self.title = self.title + data